<?php
if (isset($_GET['act'])) {
  $act = $_GET['act'];
}

if (isset($_GET['elid'])) {
  $elid = urlencode($_GET['elid']);
}

if ($ID != 0) {
  $category = mysql_fetch_assoc(mysql_query("SELECT * FROM `treats_category` WHERE `id` = '$ID' LIMIT 1"));
}

if (!isset($category['id'])) {
  $category = array('id' => 0, 'name' => '', 'icon' => $config['icon_default'], 'dir' => '/', 'msg' => '');
}

if ($elid == 'create' && $act == 'category') {
  $category = array('id' => $category['id'], 'dir' => $category['dir'], 'name' => '', 'msg' => '', 'icon' => $config['icon_default']);
}

if ($act == 'goods') {
  if ($elid == 'create') {
    $goods = array('name' => '', 'coins' => '0', 'msg' => '', 'type' => 'treats');
  } else {
    $goods = mysql_fetch_assoc(mysql_query("SELECT * FROM `treats_goods` WHERE `id` = '$ID' LIMIT 1"));
    $category = mysql_fetch_assoc(mysql_query("SELECT * FROM `treats_category` WHERE `id` = '$goods[id_category]' LIMIT 1"));
  }
}

$returnPage = returnPage($category['id'], $category['dir']);

if (isset($_POST['name'])) {
  
  $name = mysql_real_escape_string($_POST['name']);
  $msg = mysql_real_escape_string($_POST['msg']);
  
  if (isset($_POST['coins'])) {
    $coins = (int) $_POST['coins'];
  }
  
  if ($act == 'category') {
    $file = (in_array($_POST['icon'], $icons) ? my_esc($_POST['icon']) : $config['icon_default']);
  } elseif ($act == 'goods' && $elid == 'create') {
    $file = md5(time());
    
    if (isset($_FILES['file']) && $_FILES['file']['error'] == 0 && @imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name'])))	{
      if (!copy($_FILES['file']['tmp_name'], $config['module_dir'] . '/goods/' . $file . '.png')) {
        $err[] = __('Не удалось загрузить изображение');
      } else {
        chmod($config['module_dir'] . '/goods/' . $file . '.png', 0666);
      }
    } elseif ($elid == 'create') {
      $err[] = __('Не удалось загрузить изображение');
    }
  }
  
  if ($act == 'goods') {
    $type = (array_key_exists($_POST['type'], $config['treats_type']) ? my_esc($_POST['type']) : 'treats');
  }
  
  if (strlen2($name) < 2) {
    $err[] = __('Название слишком короткое');
  } elseif (strlen2($name) > 32) {
    $err[] = __('Название слишком длинное');
  }
  
  if (strlen2($msg) < 2 && $act == 'goods') {
    $err[] = __('Сообщение слишком короткое');
  } elseif (strlen2($msg) > 1024) {
    $err[] = __('Сообщение слишком длинное');
  }
  
  if (!isset($err)) 
  {
    // Создание категории
    if ($act == 'category' && $elid == 'create') {
      mysql_query("INSERT INTO `treats_category` (`name`, `icon`, `id_category`, `dir`, `msg`) 
                    values('$name', '$file', '$category[id]', '" . $category['dir'] . $category['id'] . "/', '" . $msg . "')");
      $_SESSION['message'] = __('Категория успешно создана');
    } 
    
    // Редактирование категории
    elseif ($act == 'category' && $elid == 'edit') {
      mysql_query("UPDATE `treats_category` SET `name` = '$name', `icon` = '$file', `msg` = '$msg' WHERE `id` = '$category[id]' LIMIT 1");
      $_SESSION['message'] = __('Изменения успешно приняты');
    }
    
    // Создание товара
    elseif ($act == 'goods' && $elid == 'create') {
      mysql_query("INSERT INTO `treats_goods` (`name`, `icon`, `id_category`, `dir`, `msg`, `time`, `coins`, `type`) 
                      values('$name', '$file', '$category[id]', '" . $category['dir'] . $category['id'] . "/', '" . $msg . "', '$time', '$coins', '$type')");
                      
      $_SESSION['message'] = __('Товар успешно добавлен');
    } 
    
    // Редактирование товара
    elseif ($act == 'goods' && $elid == 'edit') {
      mysql_query("UPDATE `treats_goods` SET `name` = '$name', `msg` = '$msg', `coins` = '$coins', `type` = '$type' WHERE `id` = '$goods[id]' LIMIT 1");
      $_SESSION['message'] = __('Изменения успешно приняты');
    }
    
    header('Location: ?func=category&id=' . $category['id']);
    exit;
  }
}

moduleHeader($config['module_name']);
?>
<div class="foot">
  <?= $returnPage?>
</div>
<?
if ($act == 'category') {
  ?>
  <form action="?func=edit&amp;act=category&amp;id=<?= $ID?>&amp;elid=<?= $elid?>" method="POST" enctype="multipart/form-data">
    <div>
      <?= __('Название')?>:<br />
      <input type="text" name="name" placeholder="<?= __('Название')?>..." value="<?= text($category['name'])?>" />
    </div>
    
    <div>
    <?
    $insert = text($category['msg']);
    $placeholder = __('Описание раздела') . '...';
  	if (is_file(H.'style/themes/' . $set['set_them'] . '/altername_post_form.php'))
  	    include_once H.'style/themes/' . $set['set_them'] . '/altername_post_form.php';
  	else
  	    echo $tPanel . '<textarea name="msg" placeholder="' . $placeholder . '"></textarea><br />';
    ?>
    </div>
    
    <div style="padding: 4px;"><?= __('Иконка раздела')?>:</div>
    
    <div style="max-height: 160px; overflow-y: scroll; margin-bottom: 6px;">
    <?
    asort($icons);
    foreach ($icons AS $key => $value) {
      ?>
      <label style="display: block;">
        <input type="radio" name="icon" value="<?= $value?>" <?= ($category['icon'] == $value ? 'checked' : '')?> /> <img src="/<?= $config['icons_patch']?>/<?= $value?>" style="max-width: 20px;" /> <?= $value?>
      </label>
      <?
    }
    ?>
    </div>
    
    <div>
      <input type="submit" value="<?= __(($elid == 'create' ? 'Создать' : 'Сохранить'))?>">
    </div>
  </form>
  <?
}

if ($act == 'goods') {
  ?>
  <div class="mess">
    <?= __('Категория')?>: <img src="/<?= $config['icons_patch']?>/<?= $category['icon']?>"> <?= text($category['name'])?><br />
    <?= __('Переменные для замены текста')?>:<br />
    <b>{id_send}</b> - <?= __('ID получателя')?><br />
    <b>{id_user}</b> - <?= __('ID отправителя')?><br />
    <b>{login_send}</b> - <?= __('Ник получателя')?><br />
    <b>{login_user}</b> - <?= __('Ник отправителя')?><br />
    <b>{id}</b> - <?= __('ID товара')?><br />
    <b>{name}</b> - <?= __('Название товара')?><br />
    <b>{icon}</b> - <?= __('Картинка товара')?><br />
    <b>{id_category}</b> - <?= __('ID категории товара')?><br />
    <b>{i:ая|ый}</b> - <?= __('Склонение окончаний для слов отправителя')?><br />
    <b>{s:ая|ый}</b> - <?= __('Склонение окончаний для слов получателя')?><br />
    <?= __('Пример комплимента')?>: <span class="on">{login_send} ты так{s:ая|ой} красив{s:ая|ый}, да и я тоже {i:девушка|парень} классн{i:ая|ый}</span><br />
    <?= __('Таким образом отправляемый текст будет правильным в зависимости от пола.')?>
  </div>
  
  <form action="?func=edit&amp;act=goods&amp;id=<?= $ID?>&amp;elid=<?= $elid?>" method="POST" enctype="multipart/form-data">
    <div>
      <?= __('Название')?>:<br />
      <input type="text" name="name" placeholder="<?= __('Название')?>..." value="<?= text($goods['name'])?>">
    </div>
    
    <div>
      <?= __('Цена')?> (<?= $config['table_coins']?>):<br />
      <input type="text" name="coins" placeholder="<?= __('Цена товара')?>..." value="<?= text($goods['coins'])?>">
    </div>
    
    <? if ($elid == 'create') { ?>
      <div>
        <?= __('Картинка')?>:<br />
        <input type="file" name="file" accept="image/*">
      </div>      
    <? } ?>

    <div>
    <?
    $insert = text($goods['msg']);
    $placeholder = __('Сообщение') . '...';
    
  	if (is_file(H.'style/themes/' . $set['set_them'] . '/altername_post_form.php')) {
      require H.'style/themes/' . $set['set_them'] . '/altername_post_form.php';
    } else {
      echo $tPanel . '<textarea name="msg" placeholder="' . $placeholder . '">' . $goods['msg'] . '</textarea><br />';
    } 
    ?>
    </div>
    <!--
    <div>
    <?
    foreach ($config['treats_type'] AS $key => $value) {
      ?>
      <label style="display: block;">
        <input type="radio" name="type" value="<?= $key?>" <?= ($goods['type'] == $key ? 'checked' : '')?> /> <?= $value?>
      </label>
      <?
    }
    ?>
    </div>
    -->
    <div>
      <input type="submit" value="<?= __(($elid == 'create' ? 'Добавить' : 'Сохранить'))?>">
    </div>
  </form>
  <?
}
?>
<div class="foot">
  <?= $returnPage?>
</div>